Debian Bug report logs - #140682
[fixed in lynx-cur] lynx: doesn't build on the Hurd

version graph

Package: lynx; Maintainer for lynx is Atsuhito KOHDA <kohda@debian.org>; Source for lynx is src:lynx-cur.

Reported by: Marcus Brinkmann <Marcus.Brinkmann@ruhr-uni-bochum.de>

Date: Sun, 31 Mar 2002 17:18:01 UTC

Severity: important

Tags: sid, upstream

Found in version 2.8.4.1b-3

Fixed in version lynx/2.8.5-1

Done: James Troup <james@nocrew.org>

Bug is archived. No further changes may be made.

Forwarded to upstream

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, James Troup <james@nocrew.org>, lynx@packages.qa.debian.org:
Bug#140682; Package lynx. Full text and rfc822 format available.

Acknowledgement sent to Marcus Brinkmann <Marcus.Brinkmann@ruhr-uni-bochum.de>:
New Bug report received and forwarded. Copy sent to James Troup <james@nocrew.org>, lynx@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marcus Brinkmann <Marcus.Brinkmann@ruhr-uni-bochum.de>
To: submit@bugs.debian.org
Subject: doesn't build on the Hurd
Date: Sun, 31 Mar 2002 19:11:58 +0200
Package: lynx
Version: 2.8.4.1b-3
Tags: sid
Severity: important

Hi,

WWW/Library/Implementation/HTFTP.c and WWW/Library/Implementation/HTTCP.c
have unguarded, unconditional use of MAXHOSTNAMELEN, which is non-standard
and not defined on the Hurd (note: HOST_MAX is in the new POSIX standard,
but it is optional so we don't define it -> there is no limit on the Hurd).

In HTTCP.c is one place where an arbitrary limit is defined if none is
provided, but it comes too late in the file in the INET6 case.

Ideally, there would be no arbitrary limit imposed by lynx (there are longer
hostnames out there ;)  but I haven't checked too closely, it might just be
there for diagnostic reasons (error messages) and then cutting is not too
critical.  Anyway, if you move the arbitrary limit definition in HTTCP.c up
a bit, and add the same to HTFTP.c, then it should at least compile and work
for short hostnames.

Thanks,
Marcus


-- 
`Rhubarb is no Egyptian god.' Debian http://www.debian.org brinkmd@debian.org
Marcus Brinkmann              GNU    http://www.gnu.org    marcus@gnu.org
Marcus.Brinkmann@ruhr-uni-bochum.de
http://www.marcus-brinkmann.de



Tags added: upstream Request was from James Troup <james@nocrew.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from James Troup <james@nocrew.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from James Troup <james@nocrew.org> to control@bugs.debian.org. Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to upstream. Request was from James Troup <james@nocrew.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to James Troup <james@nocrew.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Marcus Brinkmann <Marcus.Brinkmann@ruhr-uni-bochum.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #18 received at 140682-close@bugs.debian.org (full text, mbox):

From: James Troup <james@nocrew.org>
To: 140682-close@bugs.debian.org
Subject: Bug#140682: fixed in lynx 2.8.5-1
Date: Thu, 05 Feb 2004 17:02:20 -0500
Source: lynx
Source-Version: 2.8.5-1

We believe that the bug you reported is fixed in the latest version of
lynx, which is due to be installed in the Debian FTP archive:

lynx_2.8.5-1.diff.gz
  to pool/main/l/lynx/lynx_2.8.5-1.diff.gz
lynx_2.8.5-1.dsc
  to pool/main/l/lynx/lynx_2.8.5-1.dsc
lynx_2.8.5-1_i386.deb
  to pool/main/l/lynx/lynx_2.8.5-1_i386.deb
lynx_2.8.5.orig.tar.gz
  to pool/main/l/lynx/lynx_2.8.5.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 140682@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
James Troup <james@nocrew.org> (supplier of updated lynx package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu,  5 Feb 2004 21:27:00 +0000
Source: lynx
Binary: lynx
Architecture: source i386
Version: 2.8.5-1
Distribution: unstable
Urgency: low
Maintainer: James Troup <james@nocrew.org>
Changed-By: James Troup <james@nocrew.org>
Description: 
 lynx       - Text-mode WWW Browser
Closes: 39905 40952 111463 114062 116495 117347 124025 124361 126723 135442 139948 140682 156498 156680 159215 181614 191798 199755 210948 217994 218180
Changes: 
 lynx (2.8.5-1) unstable; urgency=low
 .
   * New upstream release. Closes: #210948
    * Should now build on the Hurd. Closes: #140682
    * -auth=id:pw no longer ignored when using -source or -dump. Closes: #156498
    * Default cookie Path is not correct. Closes: #181614
    * Can now switch to bookmarks under 'z'. Closes: #111463
    * Fixes only highlighting the first two lines of a hyperlink.  Closes: #114062, #124361
    * Fixed missing space in german localisation. Closes: #116495
    * Fixed problems with wiki-login. Closes: #124025
    * No longer ignores Refresh: in HTTP headers. Closes: #126723
    * Forms now sent using proper encoding. Closes: #156680
    * Fixes confusion of whereis query inside of long <select>. Closes: #159215
    * Fixes inconsistent rendering of superscript tag. Closes: #191798
    * -dump mode now has an option to put "footnote" marks after the hyperlink. Closes: #39905
    * References can optionally follow text in ASCII output. Closes: #40952
    * Changed footnotes to display after links. Closes: #135442
    * File uploads are properly supported. Closes: #139948
    * config.{guess,sub} have been updated. Closes: #217994
 .
    * 03_euc-jp-blink.dpatch, 04_crlf-security.dpatch,
      05_config-guess-sub.dpatch, 06_gnutls-support.dpatch: removed, merged
      upstream.
    * 01_default-config.dpatch: resynced with new config file.
 .
   * debian/control (Priority): drop to optional.
 .
   * debian/rules (build): ask configure to use ncursesw instead of
     ncurses for better UTF-8 support.
   * debian/control (Build-Depends): likewise, switch to libncursesw5-dev.
 .
   * debian/rules (build): pass --with-bzlib to enable bzip2 decompression.
   * debian/control (Build-Depends): add libbz2-dev.
 .
   * debian/preinst: new file.  Undo diversions from old (potato-era)
     lynx-ssl package.  Closes: #218180, #199755
   * debian/rules (binary-arch): install it.
 .
   * debian/rules (binary-arch): install lynx as 'lynx.stable'.
   * debian/postinst, prerm, postrm: use update-alternatives for lynx.
     Closes: #117347
Files: 
 09220cb53f38ef8845f078a75e6d1bb8 609 web optional lynx_2.8.5-1.dsc
 5f516a10596bd52c677f9bfd9579bc28 2984352 web optional lynx_2.8.5.orig.tar.gz
 464c8d944615b8b484d34cd11b8fc7bd 14020 web optional lynx_2.8.5-1.diff.gz
 1f913331fbd98d4a11df264cdeab4dff 1855448 web optional lynx_2.8.5-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)

iEYEARECAAYFAkAiuPYACgkQgD/uEicUG7Bm+gCgkupggu3FaVUN07MbX4dq53eJ
Ro0AoNfxtqFnlPDBijMKxV3KP9wX/C6C
=g8D1
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 03:54:28 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.